Соответствие версий Java с версиями Minecraft
  • Автар пользователя
    Filty
    14 апреля 2022 - 18:13
    Вы не авторизованы, войдите на сайт.
  • просмотров 356 | ответ 1
В этой статье хочу рассказать для чего на хостингах сделан выбор версии Java. Дело в том, что на языке программирования Java была написана сама игра Майнкрафт и множество модификаций и плагинов к ней. Java — это объектно-ориентированный язык программирования. Разрабатывая новые версии Майнкрафта, программисты стараются писать их код под актуальные версии Java. Например, на момент разработки Minecraft-1.16.4, последней версией была Java-1.15, поэтому Minecraft-1.16.4, поддерживает только Java-15. Далее приведу список соответствия версии Java к версии Minecraft.
  • Minecraft версии 1.5.2 - можно запускать на версии Java - 8 и выше;
  • Minecraft версии 1.12.2 - можно запускать на версии Java - 8 и выше;
  • Minecraft версии 1.16.4 - можно запускать на версии Java - 8 и не выше 15;
  • Minecraft версии 1.16.5 - можно запускать на версии Java - 8 и выше;
  • Minecraft версии 1.17.1 - можно запускать на версии Java - 16 и выше;
  • Minecraft версии 1.17.1 - можно запускать на версии Java - 16 и выше;
  • Minecraft версии 1.18.2 - можно запускать на версии Java - 17 и выше;
иконка рекламы
РекламаЗаказать хостинг
Надёжный и качественный хостинг Minecraft 24/7 по доступным ценам.
Поддержка модов и плагинов, скоростные SSD диски и быстрая память DDR4.
  • Фото пользователя Алексей
    Алексей
    27 мая 2022 - 23:02
Интересно, на какой версии Java будет работать Майнкрафт 1.19